{% extends 'base.html' %}
{% load static %}

{% block content %}
    {% if messages %}
        <div class="messages container">
            {% for message in messages %}
                <div class="row justify-content-center mb-2 px-3">
                    <div {% if message.tags %} class="col-5 alert alert-dismissible {{ message.tags }} shadow" {% endif %}>
                        <h5 class="text-center m-0">{{ message | safe }}</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                </div>
            {% endfor %}
        </div>
    {% endif %}

    <section id="login" class="container">
        <div class="row justify-content-center">
            <div class="col-5">
                <div class="card-body form-group py-5">
                    <h1 class="card-title text-center">LOG IN</h1>
                    <h5 class="card-text text-center mb-5">Already have an account? Log in below.</h5>

                    <form id='login-form' method="post" novalidate>
                        {% csrf_token %}

                        {% for field in form %}
                            <div class="form-row d-flex justify-content-center mt-2">
                                <div class="form-group col-12 col-md-9">
                                    <label for="{{ field.id_for_label }}" class="form-label">
                                        <strong>{{ field.label }}</strong>
                                    </label>
                                    {{ field }}
                                    {% if field.help_text %}
                                        <p class="help mb-1">{{ field.help_text|safe }}</p>
                                    {% endif %}

                                    {% if field.errors %}
                                        <div class="invalid-feedback">
                                            {{ field.errors }}
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        {% endfor %}

                        <div class="form-row d-flex justify-content-center">
                            <div class="form-group col-12 col-md-9">
                                <a href="{% url 'reset_pwd' %}">Forgot your password?</a>
                            </div>
                        </div>

                        <div class="form-row d-flex justify-content-center my-4">
                            <input type="submit" class="btn btn-primary px-3" value="LOG IN">
                        </div>

                        <div class="form-row d-flex justify-content-center">
                            <p><b>Not registered yet?</b></p>
                            <a class="ms-2" href="{% url 'registration' %}">Register</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>

{% endblock %}
